## cascading.operation
Class ConcreteCall<C>

    java.lang.Object
      cascading.operation.ConcreteCall<C>

All Implemented Interfaces:
  AggregatorCall<C>, BufferCall<C>, FilterCall<C>, FunctionCall<C>, GroupAssertionCall<C>, OperationCall<C>, ValueAssertionCall<C>

    public class ConcreteCall<C>

extends Object
implements FunctionCall<C>, FilterCall<C>, AggregatorCall<C>, BufferCall<C>, ValueAssertionCall<C>, GroupAssertionCall<C>

Class OperationCall is the common base class for `FunctionCall`, `FilterCall`, `AggregatorCall`, `ValueAssertionCall`, and `GroupAssertionCall`.

Constructor Summary
`ConcreteCall()` Constructor OperationCall creates a new OperationCall instance.
`ConcreteCall(Fields argumentFields)` Constructor ConcreteCall creates a new ConcreteCall instance.
`ConcreteCall(TupleEntry arguments, TupleEntryCollector outputCollector)` Constructor OperationCall creates a new OperationCall instance.

Method Summary
`Fields` `getArgumentFields()` Returns the `Fields` of the expected arguments `TupleEntry`.
`TupleEntry` `getArguments()` Returns `TupleEntry` of argument values.
`Iterator<TupleEntry>` `getArgumentsIterator()` Returns an `Iterator` of `TupleEntry` instances representing the arguments for the called `Buffer.operate(cascading.flow.FlowProcess, BufferCall)` method.
`C` `getContext()` Returns the user set context object, C.
`TupleEntry` `getGroup()` Returns the current grouping `TupleEntry`.
`TupleEntryCollector` `getOutputCollector()` Returns the `TupleEntryCollector` used to emit result values.
`void` `setArguments(TupleEntry arguments)`
`void` `setArgumentsIterator(Iterator<TupleEntry> argumentsIterator)`
`void` `setContext(C context)` Sets the user defined 'context' object.
`void` `setGroup(TupleEntry group)`
`void` `setOutputCollector(TupleEntryCollector outputCollector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteCall

    public ConcreteCall()

  Constructor OperationCall creates a new OperationCall instance.

### ConcreteCall

    public ConcreteCall(Fields argumentFields)

  Constructor ConcreteCall creates a new ConcreteCall instance.

  Parameters:
    `argumentFields` - of type Fields

### ConcreteCall

    public ConcreteCall(TupleEntry arguments,
                        TupleEntryCollector outputCollector)

  Constructor OperationCall creates a new OperationCall instance.

  Parameters:
    `arguments` - of type TupleEntry
    `outputCollector` - of type TupleCollector

Method Detail

### getContext

    public C getContext()

  Description copied from interface: `OperationCall`
  Returns the user set context object, C.

  Specified by:
    `getContext` in interface `OperationCall<C>`
  Returns:
    user defined object
  See Also:
    `OperationCall.getContext()`

### setContext

    public void setContext(C context)

  Description copied from interface: `OperationCall`
  Sets the user defined 'context' object.

  Specified by:
    `setContext` in interface `OperationCall<C>`
  Parameters:
    `context` - user defined object

### getGroup

    public TupleEntry getGroup()

  Description copied from interface: `AggregatorCall`
  Returns the current grouping `TupleEntry`.

  Specified by:
    `getGroup` in interface `AggregatorCall<C>`
  Specified by:
    `getGroup` in interface `BufferCall<C>`
  Specified by:
    `getGroup` in interface `GroupAssertionCall<C>`
  Returns:
    TupleEnry
  See Also:
    `AggregatorCall.getGroup()`

### setGroup

    public void setGroup(TupleEntry group)

### getArgumentFields

    public Fields getArgumentFields()

  Description copied from interface: `OperationCall`
  Returns the `Fields` of the expected arguments `TupleEntry`.

  Specified by:
    `getArgumentFields` in interface `OperationCall<C>`
  Returns:
    the argumentFields (type Fields) of this OperationCall object.

### getArgumentsIterator

    public Iterator<TupleEntry> getArgumentsIterator()

  Description copied from interface: `BufferCall`
  Returns an `Iterator` of `TupleEntry` instances representing the arguments for the called `Buffer.operate(cascading.flow.FlowProcess, BufferCall)` method.

  Specified by:
    `getArgumentsIterator` in interface `BufferCall<C>`
  Returns:
    Iterator<TupleEntry>
  See Also:
    `BufferCall.getArgumentsIterator()`

### setArgumentsIterator

    public void setArgumentsIterator(Iterator<TupleEntry> argumentsIterator)

### getArguments

    public TupleEntry getArguments()

  Description copied from interface: `FunctionCall`
  Returns `TupleEntry` of argument values.

  Specified by:
    `getArguments` in interface `AggregatorCall<C>`
  Specified by:
    `getArguments` in interface `FilterCall<C>`
  Specified by:
    `getArguments` in interface `FunctionCall<C>`
  Specified by:
    `getArguments` in interface `GroupAssertionCall<C>`
  Specified by:
    `getArguments` in interface `ValueAssertionCall<C>`
  Returns:
    TupleEntry
  See Also:
    `FunctionCall.getArguments()`

### setArguments

    public void setArguments(TupleEntry arguments)

### getOutputCollector

    public TupleEntryCollector getOutputCollector()

  Description copied from interface: `FunctionCall`
  Returns the `TupleEntryCollector` used to emit result values.

  Specified by:
    `getOutputCollector` in interface `AggregatorCall<C>`
  Specified by:
    `getOutputCollector` in interface `BufferCall<C>`
  Specified by:
    `getOutputCollector` in interface `FunctionCall<C>`
  Returns:
    TupleCollector
  See Also:
    `FunctionCall.getOutputCollector()`

### setOutputCollector

    public void setOutputCollector(TupleEntryCollector outputCollector)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.